> ## Documentation Index
> Fetch the complete documentation index at: https://developers.smarterservices.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Session Accommodations

> Returns session accommodation data for the specified proctor account.



## OpenAPI

````yaml https://api.dev.smarterproctoring.com/openapi.json get /v1/proctors/{proctorSid}/session-accommodations
openapi: 3.0.0
info:
  title: SmarterProctoring API
  version: 3.0.3
  description: API documentation for SmarterProctoring
servers:
  - url: https://api.smarterproctoring.com
security:
  - client: []
tags:
  - name: App Install
    description: App Install operations
    x-group: App Install
  - name: Course
    description: Course operations
    x-group: Course
  - name: Course Offering
    description: Course Offering operations
    x-group: Course Offering
  - name: Exam
    description: Exam operations
    x-group: Exam
  - name: Exam Configuration
    description: Exam Configuration operations
    x-group: Exam Configuration
  - name: Exam Events
    description: Exam Events operations
    x-group: Exam Events
  - name: Exam Session
    description: Exam Session operations
    x-group: Exam Session
  - name: Exam Session Annotation
    description: Exam Session Annotation operations
    x-group: Exam Session Annotation
  - name: Exam Session Event
    description: Exam Session Event operations
    x-group: Exam Session Event
  - name: Onboarding
    description: Onboarding operations
    x-group: Onboarding
  - name: Provision
    description: Provision operations
    x-group: Provision
  - name: Reports
    description: Reports operations
    x-group: Reports
  - name: Time Zones
    description: Time Zones operations
    x-group: Time Zones
  - name: User
    description: User operations
    x-group: User
paths:
  /v1/proctors/{proctorSid}/session-accommodations:
    get:
      tags:
        - Reports
      summary: Session Accommodations
      description: Returns session accommodation data for the specified proctor account.
      operationId: getV1ProctorsProctorsidSessionaccommodations
      parameters:
        - name: proctorSid
          in: path
          schema:
            type: string
            description: Proctor Sid
            pattern: ^PA[a-f0-9]{32}$
          description: Proctor Sid
          required: true
        - name: name
          in: query
          schema:
            type: string
            description: Student name
          description: Student name
        - name: location
          in: query
          schema:
            type: string
            description: Proctor location name
          description: Proctor location name
        - name: appointmentEndDate
          in: query
          schema:
            type: string
            description: appointment end date, must provide open date with it
            example: '1970-01-01T00:00:00.000Z'
            pattern: .*Z
            x-format:
              isoDate: true
          description: appointment end date, must provide open date with it
        - name: appointmentStartDate
          in: query
          schema:
            type: string
            description: appointment start data
            example: '1970-01-01T00:00:00.000Z'
            pattern: .*Z
            x-format:
              isoDate: true
          description: appointment start data
        - name: email
          in: query
          schema:
            type: string
            description: student email
          description: student email
        - name: offset
          in: query
          schema:
            type: integer
            description: Offset for pagination
            minimum: 0
          description: Offset for pagination
        - name: limit
          in: query
          schema:
            type: integer
            description: Number of items to returnd
            default: 50
            minimum: 0
          description: Number of items to returnd
        - name: endDate
          in: query
          schema:
            type: string
            description: Exam Close date, must provide open date with it
            example: '1970-01-01T00:00:00.000Z'
            pattern: .*Z
            x-format:
              isoDate: true
          description: Exam Close date, must provide open date with it
      responses:
        default:
          description: Successful
          content:
            application/json:
              schema:
                type: string
components:
  securitySchemes:
    client:
      type: apiKey
      name: token
      in: header

````